## kodi 15.2+dfsg1

=== lib/SlingboxLib/Makefile ===
SRCS=SlingboxLib.cpp

LIB=SlingboxLib.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/addons/Makefile ===
SRCS=Addon.cpp \
     AddonCallbacks.cpp \
     AddonCallbacksAddon.cpp \
     AddonCallbacksCodec.cpp \
     AddonCallbacksGUI.cpp \
     AddonCallbacksPVR.cpp \
     AddonDatabase.cpp \
     AddonInstaller.cpp \
     AddonManager.cpp \
     AddonStatusHandler.cpp \
     AddonVersion.cpp \
     AudioEncoder.cpp \
     ContextItemAddon.cpp \
     AudioDecoder.cpp \
     GUIDialogAddonInfo.cpp \
     GUIDialogAddonSettings.cpp \
     GUIViewStateAddonBrowser.cpp \
     GUIWindowAddonBrowser.cpp \
     LanguageResource.cpp \
     PluginSource.cpp \
     Repository.cpp \
     Scraper.cpp \
     ScreenSaver.cpp \
     Service.cpp \
     Skin.cpp \
     UISoundsResource.cpp \
     Visualisation.cpp \
     Webinterface.cpp \

LIB=addons.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/dbwrappers/Makefile ===
SRCS=Database.cpp \
     DatabaseQuery.cpp \
     dataset.cpp \
     mysqldataset.cpp \
     qry_dat.cpp \
     sqlitedataset.cpp \

LIB=dbwrappers.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/dialogs/Makefile ===
SRCS=GUIDialogBoxBase.cpp \
     GUIDialogBusy.cpp \
     GUIDialogButtonMenu.cpp \
     GUIDialogCache.cpp \
     GUIDialogContextMenu.cpp \
     GUIDialogExtendedProgressBar.cpp \
     GUIDialogFavourites.cpp \
     GUIDialogFileBrowser.cpp \
     GUIDialogGamepad.cpp \
     GUIDialogKaiToast.cpp \
     GUIDialogKeyboardGeneric.cpp \
     GUIDialogMediaFilter.cpp \
     GUIDialogMediaSource.cpp \
     GUIDialogMuteBug.cpp \
     GUIDialogNumeric.cpp \
     GUIDialogOK.cpp \
     GUIDialogPlayEject.cpp \
     GUIDialogPlayerControls.cpp \
     GUIDialogProgress.cpp \
     GUIDialogSeekBar.cpp \
     GUIDialogSelect.cpp \
     GUIDialogSimpleMenu.cpp \
     GUIDialogSlider.cpp \
     GUIDialogSmartPlaylistEditor.cpp \
     GUIDialogSmartPlaylistRule.cpp \
     GUIDialogSubMenu.cpp \
     GUIDialogTextViewer.cpp \
     GUIDialogVolumeBar.cpp \
     GUIDialogYesNo.cpp \

LIB=dialogs.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/input/Makefile ===
SRCS=ButtonTranslator.cpp \
     InertialScrollingHandler.cpp \
     KeyboardLayout.cpp \
     KeyboardLayoutManager.cpp \
     KeyboardStat.cpp \
     MouseStat.cpp \
     SDLJoystick.cpp \
     XBMC_keytable.cpp \
     InputManager.cpp \
     Key.cpp
     
LIB=input.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/media/Makefile ===
SRCS=MediaType.cpp \

LIB=media.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/messaging/Makefile ===
SRCS = ApplicationMessenger.cpp

LIB = messaging.a

include /Users/haggi/Home/devs/workspace/xbmc/Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %c,%.P,$(patsubst %.S,,$(SRCS))))

=== xbmc/music/Makefile ===
SRCS=Album.cpp \
     Artist.cpp \
     GUIViewStateMusic.cpp \
     MusicDatabase.cpp \
     MusicDbUrl.cpp \
     MusicInfoLoader.cpp \
     MusicThumbLoader.cpp \
     Song.cpp \
     CueInfoLoader.cpp \

LIB=music.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/pictures/Makefile ===
SRCS=GUIDialogPictureInfo.cpp \
     GUIViewStatePictures.cpp \
     GUIWindowPictures.cpp \
     GUIWindowSlideShow.cpp \
     Picture.cpp \
     PictureInfoLoader.cpp \
     PictureInfoTag.cpp \
     PictureThumbLoader.cpp \
     SlideShowPicture.cpp \
     
LIB=pictures.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/pvr/Makefile ===
SRCS=PVRGUIInfo.cpp \
     PVRManager.cpp \
     PVRDatabase.cpp \
     PVRActionListener.cpp

LIB=pvr.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/settings/Makefile ===
SRCS=AdvancedSettings.cpp \
     DisplaySettings.cpp \
     MediaSettings.cpp \
     MediaSourceSettings.cpp \
     SettingAddon.cpp \
     SettingConditions.cpp \
     SettingControl.cpp \
     SettingCreator.cpp \
     SettingPath.cpp \
     Settings.cpp \
     SettingUtils.cpp \
     SkinSettings.cpp \
     VideoSettings.cpp \

LIB=settings.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/video/Makefile ===
SRCS=Bookmark.cpp \
     FFmpegVideoDecoder.cpp \
     GUIViewStateVideo.cpp \
     PlayerController.cpp \
     Teletext.cpp \
     VideoDatabase.cpp \
     VideoDbUrl.cpp \
     VideoInfoDownloader.cpp \
     VideoInfoScanner.cpp \
     VideoInfoTag.cpp \
     VideoLibraryQueue.cpp \
     VideoReferenceClock.cpp \
     VideoThumbLoader.cpp \
     
LIB=video.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== debian/control ===
Source: kodi
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: autoconf,
 automake,
 autopoint,
 autotools-dev,
 cmake,
 curl,
 debhelper (>= 9~),
 default-jre,
 dh-autoreconf,
 dh-python,
 doxygen,
 fontforge,
 fonts-dejavu-core,
 fonts-droid-fallback,
 gawk,
 gperf,
 groovy2,
 inkscape,
 libasound2-dev | libasound-dev,
 libass-dev (>= 0.9.8),
 libavahi-client-dev,
 libavahi-common-dev,
 libavcodec-dev (>= 7:2.7.1),
 libavfilter-dev (>= 7:2.7.1),
 libavformat-dev (>= 7:2.7.1),
 libavresample-dev (>= 7:2.7.1),
 libavutil-dev (>= 7:2.7.1),
 libbluetooth-dev,
 libbluray-dev,
 libboost-dev,
 libboost-thread-dev,
 libbz2-dev,
 libcap-dev,
 libcdio-dev,
 libcec-dev (>= 3),
 libcec-platform-dev,
 libcommons-lang-java,
 libcrystalhd-dev [i386 amd64],
 libcurl4-gnutls-dev | libcurl-dev,
 libcwiid-dev [linux-any],
 libdbus-1-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libenca-dev,
 libflac-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libftgl-dev,
 libgif-dev,
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
 libglew-dev,
 libglu1-mesa-dev | libglu-dev,
 libhdhomerun-dev,
 libiso9660-dev,
 libjasper-dev,
 libjpeg-dev,
 libltdl-dev,
 liblzo2-dev,
 libmad0-dev,
 libmicrohttpd-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libmpeg2-4-dev,
 libmysqlclient-dev,
 libnfs-dev,
 libogg-dev,
 libomxil-bellagio-dev [armel armhf mipsel mips],
 libpcre3-dev,
 libplist-dev,
 libpng-dev,
 libpostproc-dev (>= 7:2.7.1),
 libpulse-dev,
 librtmp-dev,
 libsamplerate-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libshairport-dev,
 libsidplay2-dev,
 libsmbclient-dev,
 libsqlite3-dev,
 libssh-dev,
 libssl-dev,
 libswscale-dev (>= 7:2.7.1),
 libtag1-dev (>= 1.8),
 libtiff-dev,
 libtinyxml-dev (>= 2.6.2),
 libtool,
 libudev-dev,
 libva-dev [!armel !armhf !mipsel !mips],
 libvdpau-dev [!armel !armhf !mipsel !mips],
 libvorbis-dev,
 libxmu-dev,
 libxrandr-dev,
 libxslt1-dev,
 libxt-dev,
 libyajl-dev,
 nasm [i386],
 python-dev (>= 2.6.6-3~),
 python-imaging,
 swig,
 ttf-bitstream-vera,
 udev,
 unzip,
 yasm,
 zip,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://kodi.tv/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi.git

Package: kodi
Architecture: any
Depends: kodi-bin (>= ${source:Version}),
         kodi-bin (<< ${source:Version}.1~),
         kodi-data,
         ${misc:Depends}
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Breaks: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (executable binaries)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the kodi binaries.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: mesa-utils,
         x11-utils,
         fonts-dejavu-core,
         fonts-roboto,
         libjs-jquery,
         libjs-iscroll,
         python-imaging,
         ${python:Depends},
         ${misc:Depends}
Replaces: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
Breaks: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-bin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}, udisks2
Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
Conflicts: libgl1-mesa-swx11
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: ${python:Depends}, ${misc:Depends}
Description: Open Source Home Theatre (Event Client Common package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: kodi-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client Dev package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for Kodi Event Client.

Package: kodi-eventclients-wiiremote
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client WII Remote support package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for Kodi.

Package: kodi-eventclients-j2me
Architecture: all
Depends: kodi-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client J2ME package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for

## kodi 16.1+dfsg1

=== debian/changelog ===
kodi (16.1+dfsg1-2~bpo8+2) jessie-backports; urgency=medium

  * Fix zip file directory traversal vulnerability (CVE-2017-8314)
    (Closes: #863230)
  * Add test for CVE-2017-8314 to autotools-based build

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 May 2017 11:42:30 +0200

kodi (16.1+dfsg1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert to using fonts-roboto which is available in jessie
  * Build-depend on fonts-droid which is available in jessie-backports
  * Ignore failing tests but run them with Valgrind when it is available

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 26 Sep 2016 22:19:30 +0200

kodi (16.1+dfsg1-2) unstable; urgency=medium

  [ Lukas Rechberger ]
  * Skip timestamps to make build reproducible (Closes: #825285)

  [ Balint Reczey ]
  * Build depend on groovy instead of groovy2 (Closes: #824187)
  * Recommend kodi-visualization-spectrum
  * Build-depend on libbluray-dev (>= 0.7.0) to match version
    required by ./configure

  [ Tobias Grimm ]
  * Added gcc-6 fixes for CxImage code (Closes: #831137)
  * Disabled failing webserver tests (Closes: #832857)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 18 Aug 2016 17:32:53 +0200

kodi (16.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 16.1
    See https://kodi.tv/kodi-16-1-jarvis-mark-xvi

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 24 Apr 2016 15:51:42 +0200

kodi (16.1~rc2+dfsg1-1) unstable; urgency=medium

  * New upstream release candidate 16.1 RC2
    See: https://kodi.tv/kodi-16-1-jarvis-release-candidate-2/
  * Fix GetKernelBitness() on s390x to fix FTBFS on that arch
  * Skip tests on armel and mips to prevent FTBFS
  * Stop excluding files from upstream tarball which are already removed
    upstream
  * Don't modify GetVersionShort(), return package version in GetVersion()
    instead

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 29 Mar 2016 10:52:16 +0200

kodi (16.0+dfsg1-3) unstable; urgency=medium

  * Fix system info for s390x and arm64 architectures
  * Skip tests failing on buildds to fix FTBFS on most ports
  * Skip sorting test failing in the test code on armhf and armel

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 25 Mar 2016 10:49:06 +0100

kodi (16.0+dfsg1-2) unstable; urgency=medium

  * Enable Google Tests at build-time
  * Fix user agent string and related test
  * Disable bindnow hardening option because it breaks playing DVDs

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 15 Mar 2016 15:08:54 +0100

kodi (16.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 16.0
    See https://kodi.tv/kodi-16-0-jarvis-mark-xvi/
  * Refresh patches
  * Change build-dependency on libcec-platform-dev to libp8-platform-dev.
    The library has been renamed
  * Build-depend on libcec-dev (>= 3.1) which is built with p8-platform
  * Stop shipping menu file
  * Override false positive lintian warning about missing JavaScript source

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 22 Feb 2016 23:08:18 +0100

kodi (16.0~rc3+dfsg2-1) experimental; urgency=medium

  * New upstream release candidate 16.0 RC3
    (Closes: #792299) (CVE-2015-3885)
    See http://kodi.tv/kodi-16-0-jarvis-release-candidate-3/
  * Refresh patches
  * Don't use libcadec, wait for the codec to be included in FFmpeg instead
  * Drop libhdhomerun-dev build dependency
  * Add libcrossguid-dev and uuid-dev as build-dependencies
  * Drop workarounds for screensavers dropped by upstream
  * Use hinted Roboto fonts adapting to their new location in filesystem
  * Enable PIE
  * Make C-Pluff build with PIC only enabling PIE-enabled build to succeed
  * Update debian/copyright for 16.0 RC3 changes

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 13 Feb 2016 22:53:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kodi
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
 Build-Depends: autoconf,
  automake,
@@ -17,10 +16,10 @@
  doxygen,
  fontforge,
  fonts-dejavu-core,
- fonts-droid-fallback,
+ fonts-droid,
  gawk,
  gperf,
- groovy2,
+ groovy,
  inkscape,
  libasound2-dev | libasound-dev,
  libass-dev (>= 0.9.8),
@@ -32,19 +31,20 @@
  libavresample-dev (>= 7:2.7.1),
  libavutil-dev (>= 7:2.7.1),
  libbluetooth-dev,
- libbluray-dev,
+ libbluray-dev (>= 1:0.7.0),
  libboost-dev,
  libboost-thread-dev,
  libbz2-dev,
  libcap-dev,
  libcdio-dev,
- libcec-dev (>= 3),
- libcec-platform-dev,
+ libcec-dev (>= 3.1),
+ libp8-platform-dev,
  libcommons-lang-java,
  libcrystalhd-dev [i386 amd64],
  libcurl4-gnutls-dev | libcurl-dev,
  libcwiid-dev [linux-any],
  libdbus-1-dev,
+ libcrossguid-dev,
  libdvdnav-dev,
  libdvdread-dev,
  libenca-dev,
@@ -57,7 +57,7 @@
  libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
  libglew-dev,
  libglu1-mesa-dev | libglu-dev,
- libhdhomerun-dev,
+ libgtest-dev,
  libiso9660-dev,
  libjasper-dev,
  libjpeg-dev,
@@ -109,6 +109,7 @@
  ttf-bitstream-vera,
  udev,
  unzip,
+ uuid-dev,
  yasm,
  zip,
  zlib1g-dev
@@ -123,6 +124,7 @@
          kodi-bin (<< ${source:Version}.1~),
          kodi-data,
          ${misc:Depends}
+Recommends: kodi-visualization-spectrum
 Replaces: xbmc (<< 2:13.2+dfsg1-5~)
 Breaks: xbmc (<< 2:13.2+dfsg1-5~)
 Description: Open Source Home Theatre (executable binaries)

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

# bindnow breaks wrappers used in with libdvdread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all-bindnow

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD = -lvdpau

# Disable debugging by default
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBUG_CONFIG_OPTIONS += --enable-debug
else
DEBUG_CONFIG_OPTIONS += --disable-debug
endif

# Enable gles for armel, armhf
# Also disable VDPAU and VAAPI there since they break the build with gles
ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --disable-gl --enable-gles --disable-vdpau --disable-vaapi
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD =
else
# Enable OpenGL but no VDPAU or VAAPI for MIPS
ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles --disable-vdpau --disable-vaapi
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD =
endif
endif

# The following tests are failing:
# TestArchive.CharArchive crashes on armel
# TestAsyncFileCopy.General crashes on mips
ifneq (,$(filter armel mips,$(DEB_HOST_ARCH)))
ARCH_SPECIFIC_OPTIONS = --disable-gtest
endif

ARCH_SPECIFIC_LIB_RECOMMENDS += $(ARCH_SPECIFIC_LIB_RECOMMENDS_ADD)

# Various environment variables to set
export DEB_LDFLAGS_MAINT_APPEND = -latomic

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using KODI_CONFIG_EXTRA_OPTIONS env
# variable.
KODI_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  $(GL_CONFIG_OPTIONS) \
  --disable-vtbdecoder \
  --disable-openmax \
  --disable-tegra \
  $(DEBUG_CONFIG_OPTIONS) \
  --disable-profiling \
  --enable-joystick \
  --enable-pulse \
  --enable-rtmp \
  --disable-mid \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --disable-airtunes \
  --with-ffmpeg=shared \
  --disable-dependency-tracking \
  --disable-dvdcss \
  --disable-non-free \
  --enable-gtest \
  $(ARCH_SPECIFIC_OPTIONS) \
  $(KODI_CONFIG_EXTRA_OPTIONS)

# Used to show what config options are enabled
show-kodi-config-options:
	$(info $(KODI_CONFIG_OPTIONS))

%:
	dh $@ --with autoreconf --with python2 --parallel

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;

# Use package's version in Kodi
VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)/\1/p')

# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

override_dh_auto_configure: configure
	sed -i 's/DEB_VERSION/"'$(VERSION)'"/' xbmc/Application.cpp xbmc/utils/SystemInfo.cpp
	fontforge -script $(CURDIR)/debian/mergefonts.ff \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$(CURDIR)/media/Fonts/arial.ttf
	cp -r /usr/src/gtest ./lib/
	./bootstrap
	dh_auto_configure -- $(KODI_CONFIG_OPTIONS)
	# Add "from Debian" next to Kodi's original logo
	inkscape -z --export-png=addons/skin.confluence/media/from-debian-logo.png debian/from-debian-logo.svg

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -m 755 $(CURDIR)/tools/depends/native/TexturePacker/bin/TexturePacker \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/kodi/
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD

override_dh_install:
	dh_install -XLICENCE -XLICENSE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt \
		-XRoboto-Bold.ttf -XRoboto-Regular.ttf -XNOTICE.txt \
		-Xjquery-1.8.2.min.js -Xiscroll-min.js

override_dh_shlibdeps: debian/tmp/kodi-bin-depends-dummy.so debian/tmp/kodi-bin-recommends-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/kodi-bin/usr/lib/*/kodi/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/kodi-bin-depends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars
	dpkg-shlibdeps -dRecommends -edebian/tmp/kodi-bin-recommends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars

debian/tmp/kodi-bin-depends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls

debian/tmp/kodi-bin-recommends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lass \
		-lbluray \
		-lcec \
		-lFLAC \
		-lmad \
		-lmodplug \
		-lmp3lame \
		-lmpeg2 \
		-lnfs \
		-logg \
		-lplist \
		-lrtmp \
		-lvorbis \
		-lvorbisenc \
		-lvorbisfile \
		$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_strip:
	dh_strip --ddeb-migration="kodi-dbg (<< 15.1+dfsg1-4~)" || dh_strip

override_dh_installinit:
	@echo "Shipping systemd kodi.service file as an example only"
